/**
 * Configure your portfolio site here.
 */

interface Site {
  /** the final URL where the site is deployed, no trailing slash */
  baseUrl: string
  /**
   * the URL to the Récivi data file to populate the site
   *
   * This can be configured to either refer to a local JSON file (using the
   * `file://` scheme) or a remote URL.
   */
  reciviUrl: string
  /** the creator ID that is used for author attribution in the Fediverse */
  fediverse?: string
  /** the title of the website
   *
   * This title is used in the site header, Open Graph images, tab/window title
   * and meta tags.
   */
  title: string

  /**
   * whether include a link about Récivi in the footer
   *
   * We'd appreciate it a lot if you keep this enabled to help us spread the
   * word about Récivi.
   */
  showCredit?: boolean
}

export const site: Site = {
  baseUrl: 'https://terah.dev',
  reciviUrl: 'file://./recivi.json',
  title: "Tera's Corner of the Web",
  showCredit: false,
}
